/* You can add global styles to this file, and also import other style files */
.form-group{
    label{
        display: block;
        font-size: large;
        color: #212121;
        margin: 10px;
    }
    input{
        width: 100%;
        border: #bdbdbd 1px solid ;
        border-radius: 4px;
        padding: 5px;
        &.ng-invalid{
            border-left: #e53935 5px solid ;
        }
        &.ng-valid{
            border-left: #00c853 5px solid ;
        }
    }
    select{
        width: 100%;
        border: #bdbdbd 1px solid ;
        border-radius: 4px;
        padding: 5px;
    }
    .ng-invalid{
        input {
            border-left: #e53935 5px solid ;
        }
    }

    .ng-valid{
        input {
            border-left: #00c853 5px solid ;
        }
    }
    .form-error{
        background-color: #e57373 ;
        padding: 10px;
        width: 100%;
        margin: 5px;
        font-size: small;
    }
    
}

.btn{
    margin: 10px;
    padding: 5px 10px 5px 10px;
    background: linear-gradient(#eceff1,#fafafa) ;
    &:hover{
        background: white;
    }
    &:disabled{
        background: #c5c5c5;
    }
}

.btn-primary{
    color: #01579b;
    border: #01579b 1px solid;
    border-radius: 5px;
    &:hover{
        background: white;
    }
}

.btn-secondary{
    color: #004d40;
    border: #004d40 1px solid;
    border-radius: 5px;
}
    